# class WebConsole::Template

A facade that handles template rendering and composition.

It introduces template helpers to ease the inclusion of scripts only on Rails error pages.

### Public Class Methods

new(env, session) click to toggle source

    # File lib/web_console/template.rb, line 11
    def initialize(env, session)
      @env = env
      @session = session
      @mount_point = Middleware.mount_point
    end

### Public Instance Methods

render(template) click to toggle source

Render a template (inferred from `template_paths`) as a plain string.

    # File lib/web_console/template.rb, line 18
    def render(template)
      view = View.new(template_paths, instance_values)
      view.render(template: template, layout: false)
    end